Package com.tableau.hyperapi

## Enum Nullability

- java.lang.Object
- - java.lang.Enum<Nullability>
  - - com.tableau.hyperapi.Nullability

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Nullability>`

      public enum Nullability
      extends java.lang.Enum<Nullability>

  The nullability of a column.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NOT_NULLABLE` | Column is not nullable
    `NULLABLE` | Column is nullable

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Nullability` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Nullability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULLABLE

          public static final Nullability NULLABLE

      Column is nullable

    - #### NOT_NULLABLE

          public static final Nullability NOT_NULLABLE

      Column is not nullable

  - ### Method Detail

    - #### values

          public static Nullability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Nullability c : Nullability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Nullability valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null